2377418 - Error: com.acta.adapter.sdk.AdapterException: java.lang.UnsupportedClassVersionError: com/informix/jdbc/IfxDriver : Unsupported major.minor version 51.0 in SAP Data Services | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

2377418 - Error: com.acta.adapter.sdk.AdapterException: java.lang.UnsupportedClassVersionError: com/informix/jdbc/IfxDriver : Unsupported major.minor version 51.0 in SAP Data Services

Symptom

In Data Services Management Console, creating a JDBCAdapter to connect to Informix database in SAP Data Services

<Date><Time>com.acta.adapter.sdk.AdapterException: java.lang.UnsupportedClassVersionError: com/informix/jdbc/IfxDriver : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:729)
at java.lang.ClassLoader.defineClass(ClassLoader.java:710)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:336)
at java.net.URLClassLoader.access$000(URLClassLoader.java:59)
at java.net.URLClassLoader$1.run(URLClassLoader.java:250)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:243)
at java.lang.ClassLoader.loadClass(ClassLoader.java:372)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:344)
at java.lang.ClassLoader.loadClass(ClassLoader.java:313)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:171)
at com.acta.adapter.jdbcadapter.JDBCAdapter.start(JDBCAdapter.java:64)
at com.acta.adapter.sdk.AdapterRunnerImpl.startAdapter(AdapterRunnerImpl.java:536)
at com.acta.adapter.sdk.AdapterRunnerImpl.run(AdapterRunnerImpl.java:785)
at java.lang.Thread.run(Thread.java:743)
at com.acta.adapter.sdk.AdapterRunnerImpl.startAdapter(AdapterRunnerImpl.java:554)
at com.acta.adapter.sdk.AdapterRunnerImpl.run(AdapterRunnerImpl.java:785)
at java.lang.Thread.run(Thread.java:743)


Read more...

Environment

Data Services 14.2 SP6

Product

SAP Data Services 4.2

Keywords

Data Services JAVA Version, Informix java version , KBA , EIM-DS-CON , Data Services Connectivity , EIM-DS-EXE , Data Services Job Execution , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.